Bug 441872 - Bad error from gpk-install-package of previously installed package
Summary: Bad error from gpk-install-package of previously installed package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: F9PKBlocker
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-10 16:44 UTC by Owen Taylor
Modified: 2008-05-03 08:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-03 08:10:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Owen Taylor 2008-04-10 16:44:21 UTC
With abiword installed 'gpk-install-package' gives:

 Failed to install package

 The package could not be found on the system

(Also, this would be better as:

 The package 'abiword' could not be found on the system

if the package actually couldn't be found)

Comment 1 Richard Hughes 2008-04-11 15:05:18 UTC
I've fixed this in git properly, we now just need to decide what to backport to
the GNOME_PACKAGEKIT_0_1 branch.

Comment 2 James Laska 2008-04-22 15:18:18 UTC
I'm seeing the same dialog but when trying to install a new package from firefox
or cmdline.

$ gpk-install-package /path/to/package.rpm

+------------------------------------------------
| Failed to install package
| The package could not be found on the system
+------------------------------------------------


Comment 3 Robin Norwood 2008-04-23 16:13:24 UTC
This is fixed upstream in change 3a6f1b06be02c6fd67b6f5abcee0c60631d2d69b, and
should be in the next release.


Note You need to log in before you can comment on or make changes to this bug.